# Class PageBorders

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - PageBorders

- Defined in src/file/document/body/section-properties/properties/page-borders.ts:73

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageBorders(options?: IPageBordersOptions): PageBorders

- #### Parameters

  - ##### `Optional` options: IPageBordersOptions

  #### Returns PageBorders

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/document/body/section-properties/properties/page-borders.ts:74

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:53

Generated using TypeDoc